## ros-noetic-flir-camera-driver 0.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(flir_camera_driver)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-flir-camera-driver (0.2.5-1buster) buster; urgency=high



 -- Michael Hosmar <mhosmar@clearpathrobotics.com>  Fri, 06 Jan 2023 05:00:00 -0000

ros-noetic-flir-camera-driver (0.2.4-1buster) buster; urgency=high



 -- Michael Hosmar <mhosmar@clearpathrobotics.com>  Fri, 06 Jan 2023 05:00:00 -0000

ros-noetic-flir-camera-driver (0.2.3-1buster) buster; urgency=high

  * 0.2.2
  * Changes.
  * 0.2.1
  * Changes.
  * 0.2.0
  * Changes.
  * Bump CMake version to avoid CMP0048 warning.
  * Changes.
  * Include flir_camera_description as dependency in metapackage
  * Contributors: Joey Yang, Tony Baltovski

 -- Michael Hosmar <mhosmar@clearpathrobotics.com>  Tue, 19 Apr 2022 04:00:00 -0000

ros-noetic-flir-camera-driver (0.2.2-1buster) buster; urgency=high



 -- Michael Hosmar <mhosmar@clearpathrobotics.com>  Mon, 28 Mar 2022 04:00:00 -0000

ros-noetic-flir-camera-driver (0.2.1-1buster) buster; urgency=high



 -- Michael Hosmar <mhosmar@clearpathrobotics.com>  Mon, 21 Mar 2022 04:00:00 -0000

ros-noetic-flir-camera-driver (0.2.0-1buster) buster; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Changes.
  * Include flir_camera_description as dependency in metapackage
  * Contributors: Joey Yang, Tony Baltovski

 -- Michael Hosmar <mhosmar@clearpathrobotics.com>  Fri, 11 Mar 2022 05:00:00 -0000

ros-noetic-flir-camera-driver (0.1.3-1buster) buster; urgency=high



 -- Michael Hosmar <mhosmar@clearpathrobotics.com>  Tue, 25 Sep 2018 04:00:00 -0000

ros-noetic-flir-camera-driver (0.1.2-1buster) buster; urgency=high



 -- Michael Hosmar <mhosmar@clearpathrobotics.com>  Fri, 27 Jul 2018 04:00:00 -0000

ros-noetic-flir-camera-driver (0.1.1-1buster) buster; urgency=high



 -- Michael Hosmar <mhosmar@clearpathrobotics.com>  Wed, 25 Jul 2018 04:00:00 -0000

ros-noetic-flir-camera-driver (0.1.0-1buster) buster; urgency=high

  * Initial Release
  * Contributors: Michael Hosmar

 -- Michael Hosmar <mhosmar@clearpathrobotics.com>  Tue, 24 Jul 2018 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-flir-camera-driver
Section: misc
Priority: optional
Maintainer: Michael Hosmar <mhosmar@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-flir-camera-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-flir-camera-description, ros-noetic-spinnaker-camera-driver
Description: A set of drivers for Flir cameras based on the Spinnaker SDK.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-flir-camera-driver//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
